Subject: bug#48754: previous-line on large lines or images travels two lines sometimes

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Oct 2021 00:27:26 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Radon Rosborough <[email-masked]>
>> Date: Sun, 30 May 2021 14:54:34 -0700
>>
>> I've encountered some puzzling behavior related to https://debbugs.gnu.org/cgi/bugreport.cgi?bug=48170.
>>
>> Specifically, running under emacs -Q commit d6dc66053d846b6fc041889b4d0f383c8dac4da3 of
>> 2021-05-30 on GNOME, if I load up https://github.com/raxod502/bug48170-repro, then `next-line' navigates 1
>> line down, but `previous-line' navigates 2 lines up!
>
> I cannot reproduce this.  With the current master, both C-n and C-p
> move by one screen line.

I can reproduce this bug on current master.

Here's the git clone command for the sake of convenience:

    git clone https://github.com/raxod502/bug48170-repro.git